=== debian/changelog ===
picolisp (3.0.7.7-2) unstable; urgency=low

  * Sync to upstream tip.
    - Fix FTBFS with -Wl,--as-needed flag. (LP: #831180)

 -- Kan-Ru Chen <koster@debian.org>  Wed, 07 Sep 2011 06:08:28 +0800

picolisp (3.0.7.7-1) unstable; urgency=low

  * New upstream release.
  * Sync to upstream tip.

 -- Kan-Ru Chen <koster@debian.org>  Sun, 04 Sep 2011 14:51:15 +0800

picolisp (3.0.7.6-2) unstable; urgency=low

  * Apply patches from upstream.
    - Fix 64-bit random seed initialization.

 -- Kan-Ru Chen <koster@debian.org>  Fri, 19 Aug 2011 18:40:16 +0800

picolisp (3.0.7.6-1) unstable; urgency=low

  * New upstream release.
    - Fix a bug in reading from a pipe from stdin.

 -- Kan-Ru Chen <koster@debian.org>  Fri, 19 Aug 2011 10:40:41 +0800

picolisp (3.0.7.4-1) unstable; urgency=low

  * New upstream release.
  * Sync to upstream tip.

 -- Kan-Ru Chen <koster@debian.org>  Sun, 24 Jul 2011 09:27:15 +0200

picolisp (3.0.7.2-2) unstable; urgency=low

  * Sync to upstream tip.
  * Drop two unused patches.

 -- Kan-Ru Chen <koster@debian.org>  Mon, 11 Jul 2011 17:48:35 +0800

picolisp (3.0.7.2-1) unstable; urgency=low

  * New upstream release.
  * Fix *OS should be "Linux" on Debian system.

 -- Kan-Ru Chen <koster@debian.org>  Sun, 10 Jul 2011 16:29:34 +0800

picolisp (3.0.7.1-1) unstable; urgency=low

  * New upstream release.

 -- Kan-Ru Chen <koster@debian.org>  Fri, 08 Jul 2011 01:32:42 +0800

picolisp (3.0.6.14-1) unstable; urgency=low

  * New upstream release.
  * Install plmod to usr/lib/picolisp/bin (Closes: #627451)

 -- Kan-Ru Chen <koster@debian.org>  Mon, 30 May 2011 22:33:54 +0800

picolisp (3.0.6.11-1) unstable; urgency=low

  * New upstream release.
  * Don't compress .l files.

 -- Kan-Ru Chen <koster@debian.org>  Fri, 13 May 2011 15:55:13 +0800

picolisp (3.0.6.10-2) unstable; urgency=low

  * Add missing build dependency.

 -- Kan-Ru Chen <koster@debian.org>  Thu, 12 May 2011 04:53:33 +0800

picolisp (3.0.6.10-1) unstable; urgency=low

  * New upstream release.
  * Import new picolisp.el from upstream.
  * Install additional supporting binaries to /usr/lib/picolisp/bin.
  * Stop shipping "simul/" and "rcsim/".
  * Add lintian overrides for OpenSSL linkage.

 -- Kan-Ru Chen <koster@debian.org>  Wed, 11 May 2011 15:44:30 +0800

picolisp (3.0.6.9-1) unstable; urgency=low

  * New upstream release.
  * With consensus of upstream, bundled applications now are installed to
    /usr/share/picolisp.
  * Fix typo in package description, thanks to Vincent Blut.
    (Closes: #624454)
  * Add any-armhf to arch list. (Closes: #623351)

 -- Kan-Ru Chen <koster@debian.org>  Mon, 09 May 2011 17:29:45 +0800

picolisp (3.0.6.5-2) unstable; urgency=low

  * Move bundled applications to /usr/lib/picolisp.
  * Fix shebangs for psh, replica and watchdog.

 -- Kan-Ru Chen <koster@debian.org>  Thu, 28 Apr 2011 14:09:35 +0800

picolisp (3.0.6.5-1) unstable; urgency=low

  * New upstream release.
  * Install img, loc, doc, src and src64 as required by upstream.
  * Fix mips, mipsel and armhf build. (Closes: #623351)
  * Bump Standards-Version to 3.9.2, no changes needed.

 -- Kan-Ru Chen <koster@debian.org>  Sun, 24 Apr 2011 16:20:39 +0800

picolisp (3.0.6.1-1) unstable; urgency=low

  * New upstream release.
  * Fix FTBFS on Armel and S/390.

 -- Kan-Ru Chen <koster@debian.org>  Wed, 13 Apr 2011 22:03:26 +0800

picolisp (3.0.5.23-2) unstable; urgency=low

  * Remove lib/z3d which only builds on 32-bit architecture and isn't used
    by any libraries.

 -- Kan-Ru Chen <koster@debian.org>  Sun, 13 Mar 2011 02:09:41 +0800

picolisp (3.0.5.23-1) unstable; urgency=low

  * Initial release (Closes: #533011)

 -- Kan-Ru Chen <koster@debian.org>  Fri, 11 Mar 2011 07:44:02 +0800
