=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
DEB_HOST_ARCH_OS  := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

override_dh_auto_build:

	chmod -x app/loc/no
	chmod +x bin/plmod

	make -C src OS=Linux CPU=$(DEB_HOST_ARCH_CPU) picolisp tools gate

ifeq (amd64,$(DEB_HOST_ARCH_CPU))
	make -C src64 OS=Linux
endif

override_dh_auto_install:

	dh_install -X.o src   usr/lib/picolisp
	dh_install -X.o src64 usr/lib/picolisp

override_dh_auto_clean:

	make -C src clean
	make -C src64 clean
	-rm bin/ssl bin/httpGate bin/lat1 bin/utf2 bin/z3dClient bin/balance

override_dh_compress:

	dh_compress -X.l

%:
	dh $@ 

VER?=3.0.7.1
get-orig-source:
	rm -rf picolisp-$(VER).orig
	hg clone https://picolisp.googlecode.com/hg/ picolisp-$(VER).orig
	cd picolisp-$(VER).orig && hg up -r v$(VER)
	rm -r picolisp-$(VER).orig/.hg picolisp-$(VER).orig/.hgtags
	GZIP=--best tar -cz --owner root --group root --mode a+rX \
			-f picolisp_$(VER).orig.tar.gz \
			picolisp-$(VER).orig
	rm -r picolisp-$(VER).orig
