## picolisp 3.0.8.7

=== debian/changelog ===
picolisp (3.0.8.7-1) unstable; urgency=low

  * New upstream release.

 -- Kan-Ru Chen <koster@debian.org>  Sun, 13 Nov 2011 17:15:44 +0800

picolisp (3.0.8.5-2) unstable; urgency=low

  * Sync to upstream tip with important fixes.

 -- Kan-Ru Chen <koster@debian.org>  Fri, 28 Oct 2011 00:07:36 +0800

picolisp (3.0.8.5-1) unstable; urgency=low

  * New upstream release.
    - Force linkage with libm, fix 64-bit build in Ubuntu. (LP: #874841)
  * Sync to upstream tip with IPv6 support.

 -- Kan-Ru Chen <koster@debian.org>  Thu, 27 Oct 2011 11:29:38 +0800

picolisp (3.0.8.1-2) unstable; urgency=low

  * Add back accidentally removed file to non-amd64 arch.

 -- Kan-Ru Chen <koster@debian.org>  Sun, 02 Oct 2011 18:47:24 +0800

picolisp (3.0.8.1-1) unstable; urgency=low

  * New upstream release.

 -- Kan-Ru Chen <koster@debian.org>  Sat, 01 Oct 2011 22:42:46 +0800
