=== debian/changelog ===
picolisp (3.0.8.10-1) unstable; urgency=low

  * New upstream release.

 -- Kan-Ru Chen <koster@debian.org>  Sat, 17 Dec 2011 10:42:10 +0800
