=== debian/control ===
Source: picolisp
Section: lisp
Priority: optional
Maintainer: Kan-Ru Chen <koster@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libssl-dev, gcc-multilib [amd64]
Standards-Version: 3.9.2
Homepage: http://picolisp.com/
Vcs-Git: git://git.debian.org/collab-maint/picolisp.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/picolisp.git;a=summary

# Only supports amd64 on linux and solaris
Package: picolisp
Architecture: kopensolaris-amd64 solaris-amd64 amd64 any-i386 any-armel any-armeb any-arm any-avr32 any-hppa any-m32r any-m68k any-mips any-mipsel any-powerpc any-s390 any-sh3 any-sh3eb any-sh4 any-sh4eb any-sparc any-armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lisp interpreter and application server framework
 Pico Lisp can be viewed from two different aspects: As a general
 purpose programming language, and a dedicated application server
 framework.
 .
 As a programming language, Pico Lisp provides a 1-to-1 mapping of a
 clean and powerful Lisp derivate, to a simple and efficient virtual
 machine. It supports persistent objects as a first class data type,
 resulting in a database system of Entity/Relation classes and a
 Prolog-like query language tightly integrated into the system.
 .
 As an application server framework, Pico Lisp provides for database
 management (including multi-user synchronization, DB garbage collection
 journalling and replication), web interface integrated (and generated
 from) the application data model, and an application server.
