=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 	make -C src OS=Linux CPU=$(DEB_HOST_ARCH_CPU) picolisp tools gate
 
 ifeq (amd64,$(DEB_HOST_ARCH_CPU))
+	mv src64/tags src64/tags.orig
 	make -C src64 OS=Linux
 endif
 
@@ -28,6 +29,7 @@
 	make -C src clean
 	make -C src64 clean
 	-rm bin/ssl bin/httpGate bin/lat1 bin/utf2 bin/z3dClient bin/balance
+	-mv src64/tags.orig src64/tags
 
 override_dh_compress:
