## picolisp 3.0.9.1

=== debian/changelog ===
picolisp (3.0.9.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Add hardening-includes to build dependency.
  * debian/rules:
    - Enable hardening flags.
    - Install bash_completion.

 -- Kan-Ru Chen <koster@debian.org>  Mon, 02 Jan 2012 11:25:29 +0800
