=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: lisp
 Priority: optional
 Maintainer: Kan-Ru Chen <koster@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libssl-dev, gcc-multilib [amd64]
+Build-Depends: debhelper (>= 7.0.50~), libssl-dev, hardening-includes, gcc-multilib [amd64]
 Standards-Version: 3.9.2
 Homepage: http://picolisp.com/
 Vcs-Git: git://git.debian.org/collab-maint/picolisp.git
