=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,20 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
 DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
 DEB_HOST_ARCH_OS  := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+
+ifeq (amd64,$(DEB_HOST_ARCH_CPU))
+  # disabled on amd64
+  DEB_BUILD_HARDENING_PIE := 0
+endif
+
+include /usr/share/hardening-includes/hardening.make
+export CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
+export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
+CFLAGS+=$(HARDENING_CFLAGS)
+LDFLAGS+=$(HARDENING_LDFLAGS)
 
 override_dh_auto_build:
 
@@ -18,9 +27,12 @@
 	mv src64/tags src64/tags.orig
 	make -C src64 OS=Linux
 endif
+	mkdir -p build/bash_completion.d
+	cp lib/bash_completion build/bash_completion.d/pil
 
 override_dh_auto_install:
 
+	dh_install build/bash_completion.d/pil etc/bash_completion.d
 	dh_install -X.o src   usr/lib/picolisp
 	dh_install -X.o src64 usr/lib/picolisp
 
@@ -30,6 +42,7 @@
 	make -C src64 clean
 	-rm bin/ssl bin/httpGate bin/lat1 bin/utf2 bin/z3dClient bin/balance
 	-mv src64/tags.orig src64/tags
+	-rm -rf build
 
 override_dh_compress:
