## picolisp 3.0.9.4

=== debian/changelog ===
picolisp (3.0.9.4-1) unstable; urgency=low

  * New upstream release.
  * Sync to upstream tip.
  * debian/patches/picolisp_build_on_multi_cpu.patch:
    - Correctly append CFLAGS to upstream CFLAGS. Fixes FTBFS on armhf.
      Thanks to Peter Green and Hector Oron (Closes: #660324).
  * debian/copyright:
    - Update copyright-format to 1.0.
  * debian/control:
    - Bump Standards-Version to 3.9.3.

 -- Kan-Ru Chen <koster@debian.org>  Mon, 05 Mar 2012 22:41:16 +0800

picolisp (3.0.9.3-1) unstable; urgency=low

  * New upstream release.
  * Sync to upstream tip.

 -- Kan-Ru Chen <koster@debian.org>  Fri, 17 Feb 2012 23:07:13 +0800
