=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Kan-Ru Chen <koster@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), libssl-dev, hardening-includes, gcc-multilib [amd64]
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://picolisp.com/
 Vcs-Git: git://git.debian.org/collab-maint/picolisp.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/picolisp.git;a=summary
