=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,9 @@
 DEB_HOST_ARCH_OS  := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
 ifeq (amd64,$(DEB_HOST_ARCH_CPU))
-  # disabled on amd64
+  # disabled on amd64 because it's mostly written in assembly and
+  # already handles PIC when needed. The codes aren't compiled with
+  # gcc so enable -fPIE is meaningless.
   DEB_BUILD_HARDENING_PIE := 0
 endif
