=== debian/changelog ===
picolisp (3.1.0.7-1) unstable; urgency=low

  * New upstream release.
  * Sync to upstream tip.
  * debian/control:
    - Update Vcs-* url

 -- Kan-Ru Chen <koster@debian.org>  Mon, 25 Jun 2012 14:30:32 +0800

picolisp (3.1.0.4-1) unstable; urgency=low

  * New upstream release.
  * Sync to upstream tip.

 -- Kan-Ru Chen <koster@debian.org>  Wed, 02 May 2012 09:01:32 +0800

picolisp (3.0.9.7-1) unstable; urgency=low

  * New upstream release.
  * Sync to upstream tip.
  * Enable hardening flags on helper binaries. (Closes: #663355)
  * debian/control:
    - Build-Depends on lib32gcc1 for amd64 to workaround #667519

 -- Kan-Ru Chen <koster@debian.org>  Sun, 08 Apr 2012 21:31:01 +0800
