=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: lisp
 Priority: optional
 Maintainer: Kan-Ru Chen <koster@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libssl-dev, hardening-includes, gcc-multilib [amd64]
+Build-Depends: debhelper (>= 7.0.50~), libssl-dev, hardening-includes, gcc-multilib [amd64], lib32gcc1 [amd64]
 Standards-Version: 3.9.3
 Homepage: http://picolisp.com/
-Vcs-Git: git://git.debian.org/collab-maint/picolisp.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/picolisp.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/picolisp.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/picolisp.git;a=summary
 
 # Only supports amd64 on linux and solaris
 Package: picolisp
