=== debian/rules ===
--- 
+++ 
@@ -5,29 +5,35 @@
 DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
 DEB_HOST_ARCH_OS  := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
-ifeq (amd64,$(DEB_HOST_ARCH_CPU))
-  # disabled on amd64 because it's mostly written in assembly and
-  # already handles PIC when needed. The codes aren't compiled with
-  # gcc so enable -fPIE is meaningless.
-  DEB_BUILD_HARDENING_PIE := 0
-endif
-
 include /usr/share/hardening-includes/hardening.make
 export CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
 export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
-CFLAGS+=$(HARDENING_CFLAGS)
-LDFLAGS+=$(HARDENING_LDFLAGS)
+
+# PIE disabled on amd64 because it's mostly written in assembly and
+# already handles PIC when needed. The codes aren't compiled with
+# gcc so enable -fPIE is meaningless.
+CFLAGS_NO_PIE := $(CFLAGS) \
+                 $(filter-out $(HARDENING_DISABLE_PIE_CFLAGS_FILTER),$(HARDENING_CFLAGS))
+LDFLAGS_NO_PIE := $(LDFLAGS) \
+                  $(filter-out $(HARDENING_DISABLE_PIE_LDFLAGS_FILTER),$(HARDENING_LDFLAGS))
+
+CFLAGS += $(HARDENING_CFLAGS_PIC) \
+          $(filter-out $(HARDENING_DISABLE_PIE_CFLAGS_FILTER),$(HARDENING_CFLAGS))
+LDFLAGS += $(HARDENING_LDFLAGS) -Wl,-z,noexecstack
 
 override_dh_auto_build:
 
 	chmod -x app/loc/no
 	chmod +x bin/plmod
 
-	make -C src OS=Linux CPU=$(DEB_HOST_ARCH_CPU) picolisp tools gate
-
 ifeq (amd64,$(DEB_HOST_ARCH_CPU))
 	mv src64/tags src64/tags.orig
-	make -C src64 OS=Linux
+	make -C src OS=Linux CPU=amd64 picolisp
+	make -C src OS=Linux tools gate
+
+	make -C src64 OS=Linux CFLAGS="$(CFLAGS_NO_PIE)" LDFLAGS="$(LDFLAGS_NO_PIE)"
+else
+	make -C src OS=Linux CPU=$(DEB_HOST_ARCH_CPU) picolisp tools gate
 endif
 	mkdir -p build/bash_completion.d
 	cp lib/bash_completion build/bash_completion.d/pil
@@ -42,7 +48,7 @@
 
 	make -C src clean
 	make -C src64 clean
-	-rm bin/ssl bin/httpGate bin/lat1 bin/utf2 bin/z3dClient bin/balance
+	-rm bin/ssl bin/httpGate bin/lat1 bin/utf2 bin/balance
 	-mv src64/tags.orig src64/tags
 	-rm -rf build
