=== debian/changelog ===
picolisp (3.1.1.1-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright:
    - Update copyright for new files.
  * debian/rules:
    - Include `dpkg-buildflags --get CPPFLAGS'.

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Thu, 06 Dec 2012 10:22:21 +0800
