=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: picolisp
 Section: lisp
 Priority: optional
-Maintainer: Kan-Ru Chen <koster@debian.org>
+Maintainer: Kan-Ru Chen (陳侃如) <koster@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), libssl-dev, hardening-includes, gcc-multilib [amd64], lib32gcc1 [amd64]
 Standards-Version: 3.9.3
 Homepage: http://picolisp.com/
