=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 DEB_HOST_ARCH_OS  := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
 include /usr/share/hardening-includes/hardening.make
+export CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
 export CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
 export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
 
@@ -18,7 +19,9 @@
                   $(filter-out $(HARDENING_DISABLE_PIE_LDFLAGS_FILTER),$(HARDENING_LDFLAGS))
 
 CFLAGS += $(HARDENING_CFLAGS_PIC) \
-          $(filter-out $(HARDENING_DISABLE_PIE_CFLAGS_FILTER),$(HARDENING_CFLAGS))
+          $(filter-out $(HARDENING_DISABLE_PIE_CFLAGS_FILTER),$(HARDENING_CFLAGS)) \
+          $(HARDENING_CPPFLAGS) \
+          $(NULL)
 LDFLAGS += $(HARDENING_LDFLAGS) -Wl,-z,noexecstack
 
 override_dh_auto_build:
@@ -37,6 +40,9 @@
 endif
 	mkdir -p build/bash_completion.d
 	cp lib/bash_completion build/bash_completion.d/pil
+
+#       build time utilities
+	-rm src64/sysdeps
 
 override_dh_auto_install:
