## picolisp 3.1.2.12

=== debian/changelog ===
picolisp (3.1.2.12-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * debian/control:
    - Bump Standards-Version to 3.9.4.

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Thu, 20 Jun 2013 21:52:27 +0800

picolisp (3.1.1.15-1) unstable; urgency=low

  * New upstream release.
  * Sync to upstream tip.

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Wed, 06 Mar 2013 00:21:35 +0800
