=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,6 @@
 override_dh_auto_build:
 
 	chmod -x app/loc/no
-	chmod +x bin/plmod
 
 ifeq (amd64,$(DEB_HOST_ARCH_CPU))
 	mv src64/tags src64/tags.orig
