=== debian/changelog ===
picolisp (3.1.5.2-2) unstable; urgency=medium

  * Sync to tip.
  * debian/picolisp.install:
    - Include lib/phone.css
    - Install arch-indep files under /usr/share/picolisp
  * debian/source/lintian-overrides:
    - Override unknown architectures armel and armhf.

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Wed, 15 Jan 2014 22:59:02 +0800

picolisp (3.1.5.2-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * debian/control:
    - Bump Standards-Version to 3.9.5.

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Wed, 15 Jan 2014 00:41:33 +0800

picolisp (3.1.4.9-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * debian/rules:
    - Checkout specific release tag directly.

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Thu, 31 Oct 2013 18:19:34 +0800
