=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Kan-Ru Chen (陳侃如) <koster@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), libssl-dev, hardening-includes, gcc-multilib [amd64], lib32gcc1 [amd64]
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://picolisp.com/
 Vcs-Git: git://anonscm.debian.org/collab-maint/picolisp.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/picolisp.git;a=summary
@@ -11,6 +11,7 @@
 # Only supports amd64 on linux and solaris
 Package: picolisp
 Architecture: kopensolaris-amd64 solaris-amd64 amd64 any-i386 any-armel any-armeb any-arm any-avr32 any-hppa any-m32r any-m68k any-mips any-mipsel any-powerpc any-s390 any-sh3 any-sh3eb any-sh4 any-sh4eb any-sparc any-armhf
+Pre-Depends: dpkg (>= 1.17.5)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Lisp interpreter and application server framework
  Pico Lisp can be viewed from two different aspects: As a general
