=== debian/rules ===
--- 
+++ 
@@ -46,8 +46,8 @@
 override_dh_auto_install:
 
 	dh_install build/bash_completion.d/pil etc/bash_completion.d
-	dh_install -X.o src   usr/lib/picolisp
-	dh_install -X.o src64 usr/lib/picolisp
+	dh_install -X.o src   usr/share/picolisp
+	dh_install -X.o src64 usr/share/picolisp
 
 override_dh_auto_clean:
 
@@ -67,8 +67,7 @@
 VER?=3.0.7.1
 get-orig-source:
 	rm -rf picolisp-$(VER).orig
-	hg clone https://picolisp.googlecode.com/hg/ picolisp-$(VER).orig
-	cd picolisp-$(VER).orig && hg up -r v$(VER)
+	hg clone https://picolisp.googlecode.com/hg/#v$(VER) picolisp-$(VER).orig
 	rm -r picolisp-$(VER).orig/.hg picolisp-$(VER).orig/.hgtags
 	GZIP=--best tar -cz --owner root --group root --mode a+rX \
 			-f picolisp_$(VER).orig.tar.gz \
