## picolisp 3.1.7.3

=== debian/changelog ===
picolisp (3.1.7.3-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Use dpkg-buildflags instead of hardening-includes.
  * Do not use invalid architecture wildcards any-armel and
    any-armhf. (Closes: #749119)

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Thu, 17 Jul 2014 23:40:45 +0800

picolisp (3.1.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * debian/control:
    - Suggests tinymice.

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Mon, 31 Mar 2014 00:06:09 +0800
