=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: lisp
 Priority: optional
 Maintainer: Kan-Ru Chen (陳侃如) <koster@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libssl-dev, hardening-includes, gcc-multilib [amd64], lib32gcc1 [amd64]
+Build-Depends: debhelper (>= 7.0.50~), dpkg-dev (>= 1.16.1~), libssl-dev, gcc-multilib [amd64], lib32gcc1 [amd64]
 Standards-Version: 3.9.5
 Homepage: http://picolisp.com/
 Vcs-Git: git://anonscm.debian.org/collab-maint/picolisp.git
@@ -10,9 +10,10 @@
 
 # Only supports amd64 on linux and solaris
 Package: picolisp
-Architecture: kopensolaris-amd64 solaris-amd64 amd64 any-i386 any-armel any-armeb any-arm any-avr32 any-hppa any-m32r any-m68k any-mips any-mipsel any-powerpc any-s390 any-sh3 any-sh3eb any-sh4 any-sh4eb any-sparc any-armhf
+Architecture: kopensolaris-amd64 solaris-amd64 amd64 any-i386 any-arm any-avr32 any-hppa any-m32r any-m68k any-mips any-mipsel any-powerpc any-s390 any-sh3 any-sh3eb any-sh4 any-sh4eb any-sparc
 Pre-Depends: dpkg (>= 1.17.5)
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: tinymice
 Description: Lisp interpreter and application server framework
  Pico Lisp can be viewed from two different aspects: As a general
  purpose programming language, and a dedicated application server
