=== debian/rules ===
--- 
+++ 
@@ -5,24 +5,20 @@
 DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
 DEB_HOST_ARCH_OS  := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
-include /usr/share/hardening-includes/hardening.make
-export CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
-export CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
-export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
+ifeq (amd64,$(DEB_HOST_ARCH_CPU))
 # PIE disabled on amd64 because it's mostly written in assembly and
 # already handles PIC when needed. The codes aren't compiled with
 # gcc so enable -fPIE is meaningless.
-CFLAGS_NO_PIE := $(CFLAGS) \
-                 $(filter-out $(HARDENING_DISABLE_PIE_CFLAGS_FILTER),$(HARDENING_CFLAGS))
-LDFLAGS_NO_PIE := $(LDFLAGS) \
-                  $(filter-out $(HARDENING_DISABLE_PIE_LDFLAGS_FILTER),$(HARDENING_LDFLAGS))
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+CFLAGS_NO_PIE := $(shell dpkg-buildflags --get CFLAGS)
+LDFLAGS_NO_PIE := $(shell dpkg-buildflags --get LDFLAGS)
+endif
 
-CFLAGS += $(HARDENING_CFLAGS_PIC) \
-          $(filter-out $(HARDENING_DISABLE_PIE_CFLAGS_FILTER),$(HARDENING_CFLAGS)) \
-          $(HARDENING_CPPFLAGS) \
-          $(NULL)
-LDFLAGS += $(HARDENING_LDFLAGS) -Wl,-z,noexecstack
+LDFLAGS += -Wl,-z,noexecstack
 
 override_dh_auto_build:
