=== debian/changelog ===
picolisp (3.1.8.0-4) unstable; urgency=medium

  * Really fix FTBFS on armhf

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Fri, 03 Oct 2014 02:21:16 +0800

picolisp (3.1.8.0-3) unstable; urgency=medium

  * Force ARM mode to fix FTBFS on armhf (Closes: #763764)

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Fri, 03 Oct 2014 01:22:26 +0800

picolisp (3.1.8.0-2) unstable; urgency=medium

  * Use build directory as HOME when running test, fix FTBFS (Closes: #763663)

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Thu, 02 Oct 2014 09:38:34 +0800

picolisp (3.1.8.0-1) unstable; urgency=medium

  * Imported Upstream version 3.1.8.0
  * Refresh patches
  * Fix typo in Suggests: tinymce (Closes: #762507)
  * Run tests after build
  * Fix lintian warning empty-short-license-in-dep5-copyright
  * Bump Standards-Version to 3.9.6, no changes needed

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Wed, 01 Oct 2014 23:37:52 +0800
