=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,10 @@
 
 LDFLAGS += -Wl,-z,noexecstack
 
+ifeq (arm,$(DEB_HOST_ARCH_CPU))
+CFLAGS += -marm
+endif
+
 override_dh_auto_build:
 
 	chmod -x app/loc/no
@@ -38,6 +42,9 @@
 
 #       build time utilities
 	-rm src64/sysdeps
+
+override_dh_auto_test:
+	HOME=$(CURDIR)/build $(CURDIR)/pil test/lib.l -bye + < /dev/null
 
 override_dh_auto_install:
