=== debian/watch ===
version=3

http://software-lab.de/down.html picoLisp-(.*)\.tgz
